package com.beanpodtech.allinone.adapter;

import com.beanpodtech.allinone.R;
import com.beanpodtech.allinone.bean.GetPlanBean;
import com.beanpodtech.allinone.bean.RecordVideoBean;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;

import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import java.util.List;

public class HomePlanAdapter extends BaseQuickAdapter<GetPlanBean.ListBean, BaseViewHolder> {

    private static final String TAG = "HomeRecordAdapter";

    public HomePlanAdapter(int layoutResId, @Nullable List<GetPlanBean.ListBean> data) {
        super(layoutResId, data);
    }

    @Override
    protected void convert(@NotNull BaseViewHolder helper, GetPlanBean.ListBean bean) {
        helper.setText(R.id.tv_class, bean.getClassName());
//        helper.setText(R.id.tv_type, bean.getClassName());
        helper.setText(R.id.tv_teacher, bean.getTeacherName());
//        helper.setText(R.id.tv_progress, bean.getVideoDuration());
        helper.setText(R.id.tv_time, bean.getVideoDuration());
//        helper.setText(R.id.tv_operate, bean.getSubjectName());

    }
}
